
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.control.AbstractNlExportArtefaktNachSystemExportstatusExportContext;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.eml.AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper;
import de.ivu.elect.was.exchange.ergebnis.eml.Eml510cHSBErgebnisExportMapper;

/**
 * ELECT-15281
 *
 * @see NlWasModelP1f1MainDocumentExportMapper
 * @see NlWasModelP1f1Osv43CsvExportMapper
 */
public class NlWasModelP1f1Eml510cExportMapper extends AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper implements NlWasModelP1f1ExportMapper {

  @Inject
  private transient Eml510cHSBErgebnisExportMapper eml510cHSBErgebnisExportMapper;

  public NlWasModelP1f1Eml510cExportMapper() {
    super();
  }

  @Override
  public boolean supportsBulkExportNachSystemExportstatus(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return NlWasModelP1f1ExportMapperHelper.supportsBulkExportNachSystemExportstatus(context);
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelP1f1ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelP1f1ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelP1f1ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }

  @Override
  protected Eml510cHSBErgebnisExportMapper getEmlExportMapper() {
    return eml510cHSBErgebnisExportMapper;
  }
}
